import { defineConfig } from '@vben/vite-config';

export default defineConfig(async () => {
  return {
    application: {},
    vite: {
      server: {
        proxy: {
          '/api': {
            changeOrigin: true,
            rewrite: (path) => path.replace(/^\/api/, ''),
            // mock代理目标地址
            target: 'http://localhost:8081/api',
            ws: true,
          },
          '/static': {
            changeOrigin: true,
            rewrite: (path) => path.replace(/^\/static/, ''),
            target: 'http://47.112.173.8:6802',
          },
          '/static/*.docx': {
            changeOrigin: true,
            target: 'http://47.112.173.8:6805',
          },
          '/v1': {
            changeOrigin: true,
            rewrite: (path) => path.replace(/^\/v1/, ''),
            target: 'http://localhost:8081/v1',
          },
        },
      },
    },
  };
});
